PHP K�sikirja
Edellinen |  | Seuraava

# mysql_stat

(PHP 4 >= 4.3.0, PHP 5)

mysql_stat -- Get current system status

## Description

string mysql_stat ( [resource link_identifier] )

mysql_stat() returns the current server status.

## Parameters

link_identifier

  Link to the MySQL connection.

## Return values

Returns a string with the status for uptime, threads, queries, open tables, flush tables and queries per second. For a complete list of other status variables, you have to use the SHOW STATUS SQL command. If link_identifier is invalid, `NULL` is returned.

## Examples

Esimerkki 1. mysql_stat() example

`<?php $link = mysql_connect('localhost', 'mysql_user', 'mysql_password'); $status = explode(' ', mysql_stat($link)); print_r($status); ?>`

The above example will output something similar to:

    Array
    (
        [0] => Uptime: 5380
        [1] => Threads: 2
        [2] => Questions: 1321299
        [3] => Slow queries: 0
        [4] => Opens: 26
        [5] => Flush tables: 1
        [6] => Open tables: 17
        [7] => Queries per second avg: 245.595
    )

Esimerkki 2. Alternative mysql_stat() example

`<?php $link = mysql_connect('localhost', 'mysql_user', 'mysql_password'); $result = mysql_query('SHOW VARIABLES', $link); while ($row = mysql_fetch_assoc($result)) { echo $row['Variable_name'] . ' = ' . $row['Value'] . "\n"; } ?>`

The above example will output something similar to:

    back_log = 50
    basedir = /usr/local/
    bdb_cache_size = 8388600
    bdb_log_buffer_size = 32768
    bdb_home = /var/db/mysql/
    bdb_max_lock = 10000
    bdb_logdir =
    bdb_shared_data = OFF
    bdb_tmpdir = /var/tmp/
    ...

## See Also

mysql_get_server_info()
mysql_list_processes()

Edellinen | Alkuun | Seuraava
mysql_select_db | Ylös | mysql_tablename